/**
 * 支持的 env 类型
 * 用于 运行时判断
 */
export declare enum ENV_TYPE {
    /**
     * 微信小程序
     */
    WECHAT = "WECHAT",
    /**
     * 支付宝小程序
     */
    ALIPAY = "ALIPAY",
    /**
     * QQ 小程序
     */
    QQ = "QQ",
    /**
     * 百度小程序
     */
    BAIDU = "BAIDU",
    /**
     * 钉钉小程序
     */
    DINGDING = "DINGDING",
    /**
     * 淘宝小程序
     */
    TAOBAO = "TAOBAO",
    /**
     * 字节小程序
     */
    BYTEDANCE = "BYTEDANCE",
    /**
     * 快手小程序
     */
    KUAISHOU = "KUAISHOU",
    /**
     * Web 应用
     */
    WEB = "WEB"
}
/**
 * 支持的 env 类型描述
 */
export declare enum ENV_TYPE_DESC {
    /**
     * 微信小程序
     */
    WECHAT = "\u5FAE\u4FE1\u5C0F\u7A0B\u5E8F",
    /**
     * 支付宝小程序
     */
    ALIPAY = "\u652F\u4ED8\u5B9D\u5C0F\u7A0B\u5E8F",
    /**
     * QQ 小程序
     */
    QQ = "QQ \u5C0F\u7A0B\u5E8F",
    /**
     * 百度小程序
     */
    BAIDU = "\u767E\u5EA6\u5C0F\u7A0B\u5E8F",
    /**
     * 钉钉小程序
     */
    DINGDING = "\u9489\u9489\u5C0F\u7A0B\u5E8F",
    /**
     * 淘宝小程序
     */
    TAOBAO = "\u6DD8\u5B9D\u5C0F\u7A0B\u5E8F",
    /**
     * 字节小程序
     */
    BYTEDANCE = "\u5B57\u8282\u5C0F\u7A0B\u5E8F",
    /**
     * 字节小程序
     */
    KUAISHOU = "\u5FEB\u624B\u5C0F\u7A0B\u5E8F",
    /**
     * Web 应用
     */
    WEB = "Web \u5E94\u7528"
}
export declare enum SOURCE_TYPE {
    /**
     * 微信小程序 DSL 支持
     */
    WECHAT = "w",
    /**
     * 支付宝小程序 DSL 支持
     */
    ALIPAY = "a"
}
/**
 * 获取小程序运行环境
 * @returns 当前环境
 */
export declare function getEnv(): ENV_TYPE | 'Unknown environment';
/**
 * 获取当前环境描述信息
 * @returns 当前环境描述信息
 */
export declare function getEnvDesc(): string;
/**
 * 获取全局对象
 * @returns 全局对象
 */
export declare function getGlobalObject(): any;
