import type { Emitter } from '../event';
import type { MorHooks } from '../hooks';
declare type IShareObj = {
    $morHooks: MorHooks;
    $event: Emitter<any>;
};
declare type PropName = keyof IShareObj;
/**
 * 获取全局共享属性，用于作为原子化的兜底实现
 *   1. 首先查找上下文中对应的属性
 *   2. 如果不存在，则查找 getApp 中的
 *   3. 如果不存在，则查找 小程序环境的 globalObject, 如 my 中是否存在
 *   4. 如果不存在，则使用 SHARED 作为兜底
 * @param propName - 共享属性名称
 * @param context - 当前执行环境的上下文
 * @returns propValue
 */
export declare function getSharedProperty<T extends PropName>(propName: T, context?: any): IShareObj[T];
export {};
