declare function warn(...msgs: any[]): void;
declare function log(...msgs: any[]): void;
declare function error(...msgs: any[]): void;
declare function info(...msgs: any[]): void;
declare function debug(...msgs: any[]): void;
declare function deprecated<T extends (...args: any[]) => any>(msg: string, fn: T): T;
/**
 * 记录时间开始
 * @param label 标签
 */
declare function time(label: string): void;
/**
 * 记录时间结束并输出耗时
 * 大于 50ms 时会输出 warn
 * @param label 标签
 */
declare function timeEnd(label: string): void;
export declare const logger: {
    warn: typeof warn;
    log: typeof log;
    error: typeof error;
    info: typeof info;
    debug: typeof debug;
    deprecated: typeof deprecated;
    time: typeof time;
    timeEnd: typeof timeEnd;
};
export {};
